#pragma once
#include <spdlog/spdlog.h>
#include "../base/provider_interface.hpp"
#include "../../scheduler/request_scheduler.hpp"
#include "../../protocol/transform/facade.hpp"

namespace lsp::providers::cancel_request
{
    class CancelRequestProvider : public INotificationProvider
    {
    public:
        std::string GetMethod() const override;
        std::string GetProviderName() const override;
        void HandleNotification(const protocol::NotificationMessage& notification, ProviderContext& context) override;
    };
}
